spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | List of all members
spot::satsolver Class Reference

Interface with a SAT solver. More...

`#include <spot/misc/satsolver.hh>`

Collaboration diagram for spot::satsolver:

## Public Types
typedef std::vector< int > | solution
typedef std::pair< int, solution > | solution_pair

## Public Member Functions
void | start ()
std::ostream & | operator() ()
solution_pair | get_solution ()

## Detailed Description

Interface with a SAT solver.

Call start() to create some temporary file, then send DIMACs text to the stream returned by operator(), and finally call get_solution().

The satsolver called can be configured via the `SPOT_SATSOLVER` environment variable. It defaults to "satsolver -verb=0 %I >%O" where I and O are replaced by input and output files.

The documentation for this class was generated from the following file:

- spot/misc/satsolver.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.